org.apache.solr.client.solrj.request

## Enum CollectionApiMapping.ConfigSetEndPoint

- java.lang.Object
- - java.lang.Enum<CollectionApiMapping.ConfigSetEndPoint>
  - - org.apache.solr.client.solrj.request.CollectionApiMapping.ConfigSetEndPoint

All Implemented Interfaces:
  Serializable, Comparable<CollectionApiMapping.ConfigSetEndPoint>, CollectionApiMapping.V2EndPoint

Enclosing class:
  CollectionApiMapping

    public static enum CollectionApiMapping.ConfigSetEndPoint
    extends Enum<CollectionApiMapping.ConfigSetEndPoint>
    implements CollectionApiMapping.V2EndPoint

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CONFIG_COMMANDS`
`CONFIG_DEL`
`LIST_CONFIG`

### Field Summary

Fields
`String` `spec`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getSpecName()`
`static CollectionApiMapping.ConfigSetEndPoint` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CollectionApiMapping.ConfigSetEndPoint[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### LIST_CONFIG

    public static final CollectionApiMapping.ConfigSetEndPoint LIST_CONFIG

#### CONFIG_COMMANDS

    public static final CollectionApiMapping.ConfigSetEndPoint CONFIG_COMMANDS

#### CONFIG_DEL

    public static final CollectionApiMapping.ConfigSetEndPoint CONFIG_DEL

### Field Detail

#### spec

    public final String spec

### Method Detail

#### values

    public static CollectionApiMapping.ConfigSetEndPoint[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CollectionApiMapping.ConfigSetEndPoint c : CollectionApiMapping.ConfigSetEndPoint.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CollectionApiMapping.ConfigSetEndPoint valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getSpecName

    public String getSpecName()

Specified by:
  `getSpecName` in interface `CollectionApiMapping.V2EndPoint`